# frozen_string_literal: true

module Libptouch
  class Error < StandardError
    attr_reader :code

    def initialize(code, message = nil)
      @code = code
      super(message || "libptouch error #{code}")
    end
  end
end
